# -*- coding: utf-8 -*-
# Copyright 2010 Thamini S.à.R.L    This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from osv import osv
from osv import fields

class account_report_general_ledger_opti(osv.osv_memory):
    _inherit = 'account.report.general.ledger'
    _columns = {
        'type': fields.selection([('pdf','PDF'),('xls','Excel')], 'Type', required=True),
    }
    _defaults = {
        'type': lambda *a: 'pdf',
        'amount_currency': lambda *a: False,
    }

    def _print_report(self, cr, uid, ids, data, context=None):
        wizard = self.browse(cr, uid, ids[0], context=context)
        data = self.pre_print_report(cr, uid, ids, data, context=context)
        data['form'].update(self.read(cr, uid, ids, ['landscape',  'initial_balance', 'amount_currency', 'sortby'])[0])
        if not data['form']['fiscalyear_id']:# GTK client problem onchange does not consider in save record
            data['form'].update({'initial_balance': False})
        if wizard.type == 'xls':
            final_report = 'account.general.ledget_landscape.xls'
        elif wizard.type == 'pdf':
            if wizard.amount_currency:
                final_report = 'account.general.ledger_landscape.opti.currency'
            else:
                final_report = 'account.general.ledger_landscape.opti'
        return { 'type': 'ir.actions.report.xml', 'report_name': final_report, 'datas': data}

account_report_general_ledger_opti()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
