# -*- coding: utf-8 -*-
# Copyright 2010 Thamini S.à.R.L    This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENCE).

from osv import osv
from osv import fields

class document_directory_default_type(osv.osv):
    _inherit = 'document.directory'

    def _selection_get_type_default_id(self, cr, uid, context=None):
        doctype_pool = self.pool.get('document.type')
        ids = doctype_pool.search(cr, uid, [], context=context)
        result = [ (x.code, x.name) \
                for x in doctype_pool.browse(cr, uid, ids, context=context) ]
        result.append(('', ''))
        return result

    _columns = {
        'type_default': fields.selection(_selection_get_type_default_id, 'Default Type', size=32, select=True),
    }

document_directory_default_type()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
