# -*- coding: utf-8 -*-
##############################################################################
#
#    document_type module for OpenERP, Document Type
#    Copyright (C) 2010 Thamini S.à.R.L (<http://www.thamini.com>) Xavier ALT
#
#    This file is a part of document_type
#
#    document_type is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    document_type is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class document_type(osv.osv):
    _name = 'document.type'

    _columns = {
        'name': fields.char('Name', size=64, required=True, select=True, translate=True),
        'code': fields.char('Code', size=32, required=True, select=True),
    }

    _sql_constraints = [
        ('uniq_document_type_code', 'UNIQUE(code)', 'Code of document type must be unique !'),
    ]

document_type()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
