# -*- coding: utf-8 -*-
##############################################################################
#
#    document_type module for OpenERP, Document Type
#    Copyright (C) 2010 Thamini S.à.R.L (<http://www.thamini.com>) Xavier ALT
#
#    This file is a part of document_type
#
#    document_type is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    document_type is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class ir_attachment_i(osv.osv):
    _inherit = 'ir.attachment'

    def _selection_get_type_id(self, cr, uid, context=None):
        doctype_pool = self.pool.get('document.type')
        ids = doctype_pool.search(cr, uid, [], context=context)
        result = [ (x.code, x.name) \
                for x in doctype_pool.browse(cr, uid, ids, context=context) ]
        result += [('url','URL'), ('binary','Binary'),('', '')]
        return result

    _columns = {
        'type': fields.selection(_selection_get_type_id, 'Type', size=64),
    }

    def create(self, cr, uid, vals, context=None):
        if vals.get('parent_id',False):
            directory = self.pool.get('document.directory').read(cr, uid, vals['parent_id'], ['type_default'], context=context)
            if directory and directory.get('type_default'):
                vals['type'] = directory.get('type_default')
        return super(ir_attachment_i, self).create(cr, uid, vals, context=context)

ir_attachment_i()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
