# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2011 OpenERP S.A (<http://www.openerp.com>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import logging
from osv import osv, fields



class res_users(osv.osv):
    _inherit = 'res.users'
    _columns = {
        'partner_id': fields.many2one('res.partner',
            string='Related Partner'),
    }

    def _get_user_menu_rule_domain(self, cr, uid, ids, context=None):
        if isinstance(ids, (int,long)):
            ids = [ids]
        user_id = ids[0]
        if user_id == 1:
            return [] # let admin see all menus
        menu_obj = self.pool.get('ir.ui.menu')
        portal_obj = self.pool.get('res.portal')
        portal_ids = portal_obj.search(cr, uid, [('users', 'in', user_id)])
        if portal_ids:
            if len(portal_ids) > 1:
                log = logging.getLogger('ir.ui.menu')
                log.warning('User %s belongs to several portals', str(uid))
            p = portal_obj.browse(cr, uid, portal_ids[0])
            # if the portal overrides the menu, use its domain
            if p.parent_menu_id:
                return [('parent_id', 'child_of', [p.parent_menu_id.id])]
        # default case: return top-level menus
        top_level_menu_ids = menu_obj.search(cr, uid, [('parent_id','=',False)])
        return [('parent_id', 'child_of', top_level_menu_ids)]

res_users()

