# -*- encoding: utf-8 -*-
############################################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    Copyright (C) 2008-2009 AJM Technologies S.A. (<http://www.ajm.lu). All Rights Reserved
#    Copyright (C) 2010-2011 Thamini S.à.R.L (<http://www.thamini.com>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################################

{
    'name' : 'Training Portal',
    'version' : '0.1',
    'author' : 'Tiny SPRL - Thamini S.à.R.L',
    'website' : 'http://www.openerp.com',
    'description' : 'Training Portals',
    'depends' : [
        'training',
        'training_degree',
        'training_room',
        'training_intra',
        'training_exam',
        'training_exam_processing',
        'training_evaluation',
        'portal',
        'board',
    ],
    'external_dependencies': {
        'python': [
            'unicodedata',
        ],
    },
    'init_xml' : [ ],
    'demo_xml' : [
        'lecturer/demo.xml',
        'portal_training_demo.xml',
    ],
    'update_xml' : [
        'security/groups.xml', # OK
        'portal_training_view.xml', # PASS#1
        'security/rules.xml',
        'security/ir.model.access.csv',
        'views.xml',

        'lecturer/security.xml',
        'lecturer/ir.model.access.csv',
        'lecturer/views.xml',
        'lecturer/dashboard.xml',
        'lecturer/menus.xml',
        'lecturer/portal.xml',
        'lecturer/demo.xml',

        'supplier/security.xml',
        'supplier/ir.model.access.csv',
        'supplier/views.xml',
        'supplier/actions.xml',
        'supplier/menus.xml',

        #'portal_training_partner_data.xml',
        'partner/security.xml',
        'partner/ir.model.access.csv',
        'partner/views.xml',
        'partner/menus.xml',
        'partner/report.xml',

        'participant/groups.xml',
        'participant/security.xml',
        'participant/ir.model.access.csv',
        'participant/views.xml',
        'participant/menus.xml',

        'subscription/security.xml',
        'subscription/ir.model.access.csv',
        'subscription/views.xml',
        'subscription/menus.xml',
        #'subscription/portal.xml',

        'portals.xml', # OK
    ],
    'active' : False,
    'installable' : True,
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
