# -*- encoding: utf-8 -*-
############################################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    Copyright (C) 2008-2009 AJM Technologies S.A. (<http://www.ajm.lu). All Rights Reserved
#    Copyright (C) 2010-2011 Thamini S.à.R.L (<http://www.thamini.com>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################################

from osv import fields, osv
import pooler

class profile_training_config_install_modules_wizard(osv.osv_memory):
    _name='profile.training.config.install_modules_wizard'
    _description = 'Configuration Wizard for the profile Training'
    
    _columns = {
        'name':fields.char('Name', size=64),
        'training_exam': fields.boolean('Exams Management', help='Allows to sell subscription to exams and manage the questions, the answers and the certificates'),
        'training_evaluation' : fields.boolean('Evaluation Management', help='Allows to manage the evaluations about the courses or the lecturer'),
        'mrp_jit': fields.boolean('Real Time Purchases', help='Install the mrp_jit modules that does real time planifications of procurement for training materials.'),
        'training_exam_processing' : fields.boolean('Exams Automatic Corrections', help='With a scanner you can use the document processing for the exams of your participants'),
        'training_room': fields.boolean('Training Rooms', help='Add the possibility to manage reservations on your rooms'),
        'training_intra' : fields.boolean('Customised Trainings', help='Allows to manage customized training offers relying on budgets, timesheet reinvoicing, etc.'),
        'training_report' : fields.boolean('Training Reports', help='Control your sales, subscriptions, participations and gross/net margins on courses.'),
        'portal_training': fields.boolean('Portal Training', help='Allows to give acces to your participants and suppliers.'),
        'board_training' : fields.boolean('Board Training'),
        'board_training_intra' : fields.boolean('Board for Customised Trainings'),
        'warning_training' : fields.boolean('Warning Training'),
        'training_degree' : fields.boolean('Training Degree'),
    }

    def action_cancel(self,cr,uid,ids,conect=None):
        return {
                'view_type': 'form',
                "view_mode": 'form',
                'res_model': 'ir.actions.configuration.wizard',
                'type': 'ir.actions.act_window',
                'target':'new',
         }

    def action_install(self, cr, uid, ids, context=None):
        result=self.read(cr,uid,ids)
        mod_obj = self.pool.get('ir.module.module')
        for res in result:
            for r in res:
                if r<>'id' and res[r]:
                    ids += mod_obj.search(cr, uid, [('name', '=', r)])
                    mod_obj.button_install(cr, uid, ids, context=context)
        cr.commit()
        db, pool = pooler.restart_pool(cr.dbname,update_module=True)
        return {
                'view_type': 'form',
                "view_mode": 'form',
                'res_model': 'ir.actions.configuration.wizard',
                'type': 'ir.actions.act_window',
                'target':'new',
            }


profile_training_config_install_modules_wizard()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

