# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import pooler
import tools
from tools.translate import _

class wizard_contacts_are_eligible_degrees(wizard.interface):
    first_screen_fields = {
        #'create_degrees' : {
        #    'string' : 'Create the Degrees',
        #    'type' : 'boolean',
        #},
        #'show' : {
        #    'string' : 'Show',
        #    'type' : 'selection',
        #    'selection' : [('contacts', 'Contacts'),('degrees', 'Degrees')],
        #    'default' : 'contacts',
        #}
    }

    first_screen_form = '''<?xml version="1.0"?>
    <form string="Eligible Contacts">
        <!--
        <field name="create_degrees" />
        <separator string="" colspan="4"/>
        <field name="show" />
        -->
    </form>'''

    def compute_eligible_degrees(self, cr, uid, data, context=None):
        pool = pooler.get_pool(cr.dbname)

        contact_id = data['id']
        ids = []
        degree_ids = pool.get('training.degree').search(cr, uid, [], context=context)

        for degree_id in degree_ids:
            cr.execute("""
                       SELECT tp.contact_id, tp.result, tp.passing_score, tp.result >= tp.passing_score
                       FROM training_course_degree_rel tcdr
                       LEFT OUTER JOIN training_participation tp
                       ON tcdr.course_id = tp.course_questionnaire_id
                       AND tcdr.degree_id = %s
                       AND tp.contact_id = %s
                       WHERE tcdr.degree_id = %s
                       """, (degree_id, contact_id, degree_id))

            if all(x[3] == True for x in cr.fetchall()):
                ids.append(degree_id)

        if not ids:
            return {'type':'ir.actions.act_window_close'}

        return {
            'domain' : "[('id', 'in', [%s])]" % ','.join(map(str,ids)),
            'name' : 'Eligible Degrees',
            'view_type' : 'form',
            'view_mode' : 'tree,form',
            'res_model' : 'training.degree',
            'view_id' : False,
            'type' : 'ir.actions.act_window',
        }



    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'form',
                'arch': first_screen_form,
                'fields': first_screen_fields,
                'state':[('end','Cancel', 'gtk-cancel'),('compute', 'Compute Eligible Degrees', 'gtk-execute')],
            }
        },
        'compute' : {
            'result' : {
                'type' : 'action',
                'action' : compute_eligible_degrees,
                'state' : 'end',
            }
        }
    }

wizard_contacts_are_eligible_degrees('training.contacts.are.eligible.degrees')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
