import pooler
from report import report_sxw
import operator

from report_evaluation import evaluation_course_report

class evaluation_top_course_report(evaluation_course_report):
    def __init__(self, cr, uid, name, context=None):
        super(evaluation_top_course_report, self).__init__(cr, uid, name, context)

        self.localcontext.update({
            'get_top_courses_and_average' : self._get_top_courses_and_average,
        })

    def _get_top_courses_and_average(self):
        pool = pooler.get_pool(self.cr.dbname)

        def get_courses():
            self.cr.execute('SELECT DISTINCT(ts.course_id) as contact_id '\
                            'FROM training_evaluation te, training_seance ts '\
                            'WHERE te.seance_id = ts.id '\
                            'AND ts.course_id IS NOT NULL')
            return [ course_id for (course_id,) in self.cr.fetchall() ]

        course_ids = get_courses()

        result = []
        for course_id in course_ids:
            value = (
                pool.get('training.course').browse(self.cr, self.uid, course_id),
                self.get_categories(course_id)['global_average']
            )

            result.append(value)
        result.sort(key=operator.itemgetter(1), reverse=True)
        return result

report_sxw.report_sxw('report.training.evaluation.top.course.report',
                      'training.evaluation',
                      'addons/training_evaluation/report/report_top_course.rml',
                      parser=evaluation_top_course_report,
                      header=True)
