import pooler
from report import report_sxw
import operator

from report_evaluation import evaluation_contact_report

class evaluation_top_lecturer_report(evaluation_contact_report):
    def __init__(self, cr, uid, name, context=None):
        super(evaluation_top_lecturer_report, self).__init__(cr, uid, name, context)

        self.localcontext.update({
            'get_top_lecturers_and_average' : self._get_top_lecturers_and_average,
        })

    def _get_top_lecturers_and_average(self):
        pool = pooler.get_pool(self.cr.dbname)

        def get_lecturers():
            self.cr.execute('SELECT DISTINCT(tps.contact_id) as contact_id '\
                            'FROM training_evaluation te, training_participation_stakeholder tps '\
                            'WHERE te.seance_id = tps.seance_id')
            return [ contact_id for (contact_id,) in self.cr.fetchall() ]

        lecturer_ids = get_lecturers()

        result = []
        for lecturer_id in lecturer_ids:
            value = (
                pool.get('res.partner.contact').browse(self.cr, self.uid, lecturer_id),
                self.get_categories(lecturer_id)['global_average']
            )

            result.append(value)

        result.sort(key=operator.itemgetter(1), reverse=True)
        return result

report_sxw.report_sxw('report.training.evaluation.top.lecturer.report',
                      'training.evaluation',
                      'addons/training_evaluation/report/report_top_lecturer.rml',
                      parser=evaluation_top_lecturer_report,
                      header=True)
