# -*- coding: utf-8 -*-
##############################################################################
#
#    training_evaluation module for OpenERP, Seance Evaluation Report
#    Copyright (C) 2010 Thamini S.à.R.L (<http://www.thamini.com>) Xavier ALT
#
#    This file is a part of training_evaluation
#
#    training_evaluation is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    training_evaluation is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class wizard_training_evaluation_organization_report(osv.osv_memory):
    _name = 'training.evaluation.organization.report.wizard'
    _description = 'Generate Organization Report'

    _columns = {
        'partner_id': fields.many2one('res.partner', 'Organization',),
    }

    _defaults = {
        'partner_id': lambda self, cr, uid, context=None: self.pool.get('res.users').browse(cr, uid, uid, context=context).company_id.partner_id.id,
    }

    def do_print(self, cr, uid, ids, context=None):
        if not ids:
            return {}
        wizard = self.browse(cr, uid, ids[0], context=context)
        datas = {'ids': ids,'partner_name':wizard.partner_id.name, 'wizard_id': wizard.id}
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'training.evaluation.organization.report',
            'datas': datas,
        }

wizard_training_evaluation_organization_report()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
