
import os
import tools
from report import report_sxw

class scanned_exam_sheet_parser(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(scanned_exam_sheet_parser, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'get_content_path': self.get_content_path,
            'get_page_images': self.get_page_images,
            'set_show_debug': self.set_show_debug,
        })
        self.show_debug = False
        self.attach_crit = ''
        self.set_show_debug(False)

    def set_show_debug(self, show_debug):
        self.show_debug = show_debug
        if show_debug:
            self.attach_crit = 'DEBUG_PAGE'
        else:
            self.attach_crit = 'PAGE'

    def get_content_path(self, attachment):
        path = os.path.join(tools.config['root_path'], 'filestore', self.cr.dbname, attachment.store_fname)
        return path

    def get_page_images(self, participation):
        ir_attach_pool = self.pool.get('ir.attachment')
        ir_attach_domain = [
            ('res_model', '=', 'training.participation'),
            ('res_id', '=', participation.id),
        ]

        ids = ir_attach_pool.search(self.cr, self.uid, ir_attach_domain, order='name')

        final_ids = []
        for row in ir_attach_pool.read(self.cr, self.uid, ids, ['name']):
            if row['name'].startswith(self.attach_crit):
                final_ids.append(row['id'])
        sorted_final_ids = ir_attach_pool.search(self.cr, self.uid, [('id','in',final_ids)], order='name')
        retval = [ ir_attach_pool.browse(self.cr, self.uid, id) for id in sorted_final_ids ]
        return retval

report_sxw.report_sxw('report.training.participation.exam.sheet.scanned',
                      'training.participation',
                      'addons/training_exam_processing/report/scanned_exam_sheet.rml',
                      header=False,
                      parser=scanned_exam_sheet_parser)
