
class diagnostic_report_utils(object):
    def get_ctx(self):
        raise NotImplementedError()

    def get_part_address(self, participation):
        for job in participation.job_id.contact_id.job_ids:
            if job.function_id.code == 'privaddr' \
                and job.state == 'current':
                return job
        return None

    def get_address(self, participation):
        p = self.get_part_address(participation)
        if not p:
            return ''
        a = p.address_id
        def np(data):
            return data and (data+u' ') or u''

        r = u''
        if a.street:
            r += np(a.street) + '\n'
        if a.street2:
            r += np(a.street2) + '\n'
        r += '%s%s%s\n' % (np(a.postbox), np(a.zip), np(a.city))
        if a.state_id:
            r += np(a.state_id.name) + '\n'
        if a.country_id:
            r += np(a.country_id.name) + '\n'
        return r
