# -*- encoding: utf-8 -*-

from report import report_sxw
from diagnostic_utils import diagnostic_report_utils
from base_rml2pdf_extra_tags.trml2pdf import customized_report_sxw

class domain_spiderchart(report_sxw.rml_parse, diagnostic_report_utils):
    def __init__(self, cr, uid, name, context):
        super(domain_spiderchart, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'get_spiderdata': self.get_spiderdata,
            'get_ctx': self.get_ctx,
            'get_part_address': self.get_part_address,
            'get_address': self.get_address,
        })

    def get_spiderdata(self, domains):
        def get_data(domline):
            return [ domline.domain_id.name, domline.ideal_score, domline.score ]

        res = [ get_data(d) for d in domains ]
        return res

class report_sxw_spiderchart(customized_report_sxw):
    _use_extra_flowables = ['spider']

report_sxw_spiderchart('report.training.participation.domain.spiderchart',
                      'training.participation',
                      'addons/training_extra_report/report/domain_spiderchart.rml',
                      parser=domain_spiderchart)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
