##############################################################################
#
#    training_exam module for OpenERP, Training Exam
#    Copyright (C) 2010 Thamini SARL (<http://www.thamini.com>) Xavier ALt
#
#    This file is a part of training_exam
#
#    training_exam is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    training_exam is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class wizard_print_raw_questionnaire(osv.osv_memory):
    _name = 'training.exam.question.print.raw.wizard'
    _description = 'Exam Question Print RAW Questionnaire'

    _columns = {
        'lang_id': fields.many2one('res.lang', 'Lang', domain="[('translatable','=',True)]"),
        'show_solution': fields.boolean('Show Solution', ),
    }

    def _get_default_lang(self, cr, uid, context=None):
        user_obj = self.pool.get('res.users')
        lang_obj = self.pool.get('res.lang')

        user = user_obj.browse(cr, uid, uid, context=context)
        lang_code = user.context_lang

        lang_ids = lang_obj.search(cr, uid, [('code','=',lang_code),('translatable','=',True)], context=context)
        if lang_ids:
            return lang_ids[0]
        return False

    _defaults = {
        'lang_id': _get_default_lang,
    }

    def button_create_report(self, cr, uid, ids, context=None):
        if not ids:
            return {}

        wizard = self.browse(cr, uid, ids[0], context=context)

        data = self.read(cr, uid, ids)[0]

        datas = {
             'ids': ids,
             'model': 'training.exam.question.print.raw.wizard',
             'form': data
        }

        if wizard.show_solution:
            report_name = 'training.exam.questionnaire.report'
        else:
            report_name = 'training.exam.questionnaire.wo.solution.report'
        return {
            'type': 'ir.actions.report.xml',
            'report_name': report_name,
            'datas': datas,
        }

wizard_print_raw_questionnaire()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
