# -*- coding: utf-8 -*-
##############################################################################
#
#    training_evaluation module for OpenERP, Training Evaluation
#    Copyright (C) 2010 Thamini S.à.R.L (<http://www.thamini.com>) Xavier ALT
#
#    This file is a part of training_evaluation
#
#    training_evaluation is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    training_evaluation is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class wizard_preview_evaluation(osv.osv_memory):
    _name = 'training.evaluation.questionnaire.preview.wizard'

    _columns = {
        'lang_id': fields.many2one('res.lang', 'Lang', required=True),
        'eval_quizz_id': fields.many2one('training.evaluation.questionnaire', 'Eval Quizz', required=True),
    }

    def _get_default_language(self, cr, uid, context=None):
        if context is None:
            context = {}

        lang_pool = self.pool.get('res.lang')
        ids = lang_pool.search(cr, uid, [('code','=', context.get('lang', 'en_US'))])
        if ids:
            return ids[0]
        return False

    _defaults = {
        'lang_id': _get_default_language,
    }

    def button_print(self, cr, uid, ids, context=None):
        if not ids:
            return {}
        wizard = self.browse(cr, uid, ids[0], context=context)

        data = self.read(cr, uid, ids)[0]

        datas = {
             'ids': ids,
             'model': 'training.evaluation.questionnaire.preview.wizard',
             'form': data
        }

        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'training.evaluation.empty.preview.report',
            'datas': datas,
        }

    def exists(self, cr, uid, ids, context=None):
        """override osv.osv_memory method to make it compatible with classic osv.osv"""
        if isinstance(ids, (int,long)):
            ids = [ids]
        return all(( id in self.datas for id in ids ))

wizard_preview_evaluation()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
