# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from report import report_sxw

class training_offer_intra_report(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(training_offer_intra_report, self).__init__(cr, uid, name, context)
        self.localcontext.update({
            'account_line':self.line,
            'has_one_session' : self._has_one_session,
            'get_seances' : self._get_seances,
            'sort_budget_lines': self.sort_budget_lines,
        })

    def line(self,account_id,userid):
        res = []
        self.cr.execute('select name,date from account_analytic_line where  account_id =%d and user_id =%d'%(account_id,userid))
        res = self.cr.dictfetchall()
        return res or []

    def _has_one_session(self, offer_id):
        ids = self.pool.get('training.session').search(self.cr, self.uid, [('offer_id', '=', offer_id)])
        return ids and True or False

    def _get_seances(self, offer_id):
        proxy = self.pool.get('training.session')
        ids = proxy.search(self.cr, self.uid, [('offer_id', '=', offer_id)])
        if ids:
            res = proxy.browse(self.cr, self.uid, ids[0]).seance_ids
            return res
        return []

    def sort_budget_lines(self, budget_lines):
        rev_lines = []
        cost_lines = []
        for line in budget_lines:
            if line.type == 'revenue':
                rev_lines.append(line)
            else:
                cost_lines.append(line)
        rev_lines.extend(cost_lines)
        return rev_lines

report_sxw.report_sxw('report.training.offer.intra.report',
                      'training.offer',
                      'addons/training_intra/report/offer_intra.rml',
                      parser=training_offer_intra_report,
                      header=True)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

