# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from osv import osv
from osv import fields
import time

class training_report_course_profitability(osv.osv_memory):
    _name = 'training.report.course.profitability'
    _columns = {
    'date1' : fields.date('Start of period', required=True),
    'date2' : fields.date('End of period', required=True),
    'analytic_account' : fields.many2one('account.analytic.account', 'Analytic Account', required=True),
    'analytic_fix_cost' : fields.float('Analytic Fix Cost'),
    }


    _defaults = {
        'date1': lambda *a: time.strftime('%Y-01-01'),
        'date2': lambda *a: time.strftime('%Y-%m-%d'),
    }

    def action_report(self, cr, uid, ids, context=None):
        if context is None:
            context = {}
        datas = {'form':{}, 'ids': context.get('active_ids', [])}
        res = self.read(cr, uid, ids, ['date1', 'date2', 'analytic_account', 'analytic_fix_cost'], context)
        res = res and res[0] or {}
        datas['form'].update(res)
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'training.course.profitability',
            'datas': datas,
        }

training_report_course_profitability()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
