# -*- encoding: utf-8 -*-
##############################################################################
#
#    training_room module for OpenERP, Training Room Management
#    Copyright (C) 2010 Thamini S.à.R.L (<http://www.thamini.com>) Xavier ALT
#
#    This file is a part of training_room
#
#    training_room is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    training_room is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class training_session_create_wizard_room(osv.osv_memory):
    _inherit = 'training.session.create.wizard'

    _columns = {
        'location_id': fields.many2one('training.location', 'Training Location'),
        'delivery_location_id': fields.many2one('training.location', 'Training Delivery Location'),
    }

    def _default_get_location(self, cr, uid, context=None, field='location_id'):
        if context is None:
            context= {}
        session_pool = self.pool.get('training.session')
        active_id = context.get('active_id', False)
        vals = session_pool.on_change_offer(cr, uid, None, active_id)
        return vals.get('value',{}).get(field,False)

    def _default_get_delivery_location(self, cr, uid, context=None):
        return self._default_get_location(cr, uid, context=context, field='delivery_location_id')

    _defaults = {
        'location_id': _default_get_location,
        'delivery_location_id': _default_get_delivery_location,
    }

    def _get_new_session_data(self, cr, uid, wizard, context=None):
        resdict = super(training_session_create_wizard_room, self)._get_new_session_data(cr, uid, wizard, context=context)
        if wizard.location_id:
            resdict['location_id'] = wizard.location_id.id
        if wizard.delivery_location_id:
            resdict['delivery_location_id'] = wizard.delivery_location_id.id
        return resdict

training_session_create_wizard_room()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
